/**
 * 对话
 */

import { useRef, useState, type ChangeEvent } from "react";
import { Image, View } from "@tarojs/components";

import PageCustom from "@/components/page-custom/index";
import NavBarNormal from "@/components/nav-bar-normal/index";
import style from "./index.module.less";
import Taro, { useDidShow, useReady } from "@tarojs/taro";
import WemetaTabs from "@/components/wemeta-tabs/index";
import ContainerHeader from './components/container-header'


export default function Index() {

  const tabList = [
    {
      key: "1",
      label: "个人知识",
      children: (
        <>
          <View className="pt-12">
            <ContainerHeader />
          </View>
        </>
      ),
    },
    {
      key: "2",
      label: "企业知识",
      children: (
        <>
          <View className="pt-12">
            
          </View>
        </>
      ),
    },
  ];
  return (
    <PageCustom >
      <NavBarNormal backText="知识库"></NavBarNormal>
      <View className="w-full">
        <View className="pt-8 px-16">
          <WemetaTabs current="1" list={tabList}></WemetaTabs>
        </View>
        


      </View>
    </PageCustom>
  );
}
